How Can We Help?

< All Topics
Print

Do I need to have the previous version of MindMapper installed to upgrade?

Do I need to have the previous version of MindMapper installed on my machine to upgrade?

You do not need to have a previous version of MindMapper installed on your machine to upgrade to the latest version. The upgrade installation is an entirely separate install.

Technically, you can have MindMapper 17 (previous version) and MindMapper 21 (latest version) installed on your machine. However, we do not recommend having both versions on your computer; unless you are not ready to fully transition to the upgrade version.

Also, the MindMapper installer will ask during the installation process if you want to keep or delete the previously installed MindMapper program on your machine before proceeding.

Previous How do I buy MindMapper for someone else?
Table of Contents
Shopping Cart
Scroll to Top